<bugID>1235457<Summary>Create ThreadSafeDevToolsUtils for the utilities that can be used in workers</Summary><Description>This commit adds the ThreadSafeDevToolsUtils module for utilities that are
guaranteed to work off the main thread. It also makes DevToolsUtils re-export
the thread-safe utilities. This is similar to ChromeUtils and
ThreadSafeChromeUtils webidl interfaces.</Description></bugID>